#include <iostream>
using namespace std;
int main()
{
int n, k=1, masiw[707], x=0, j=0;
cin>>n;
int chislo[n];
for (int i=0;i<n;i++) {
    cin>>chislo[i];
    for (j=0;j<chislo[i];j++) {
        if (j*j>chislo[i]) j=chislo[i];
    }
    for (k;k<j;k++) {
        masiw[k-1]=k*k;
    }
    for (int a=0;a<j;a++) {
        for (int b=0;b<j;b++) {
            if (masiw[a]+masiw[b]==chislo[i]) x=1;
        }
    }
    cout<<x;
    x=0;
}
return 0;
}

